Subject: bug#35177: 27.0.50; Binding deactivate-mark to nil unexpectedly deactivates the mark

From: Eli Zaretskii <[email-masked]>
Date: Mon, 08 Apr 2019 05:35:00 +0300

> From: Markus Triska <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 08 Apr 2019 00:39:04 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think you need to put the entire progn inside the binding of
> > deactivate-mark.  IOW, the binding should be in effect when the
> > command terminates.
> 
> Please consider the following additional test cases: Both of the
> following forms keep the mark activated, while neither of them has the
> binding in effect when the commond terminates.

None of your additional test cases do what I said I thought you should
do, though, do they?

> So, in other words, binding deactivate-mark to nil deactivates the mark,
> which is the opposite of what I expect it to do.

I don't think it's something in your code that deactivates the mark,
it's what Emacs does internally when a command finishes.